AMPS C/C++ Client Class Reference AMPS C/C++ Client Version 5.3.5.4

Public Member Functions | List of all members
AMPS::RecoveryPointAdapter Class Reference

RecoveryPointAdapter a handle class for implementing external storage of subscription recovery points and recovery from storage. More...

`#include <RecoveryPointAdapter.hpp>`

## Public Member Functions
iterator | begin ()
| To recover from an adapter, iterate over the adapter from begin() to end() with a RecoveryPointIterator. More...
iterator | end ()
| Return the end of recovery marker. More...
void | update (RecoveryPoint &recoveryPoint_)
| Update the storage information with the given recovery point. More...
void | purge ()
| Remove all data from the storage.
void | purge (const Field &subId_)
| Remove the specified subId_ from the storage. More...
void | close ()
| Take any necessary actions to close the associated storage.
void | prune ()
| Take any necessary actions to close the associated storage.
bool | isValid () const
| Return if this has a valid implementation.

## Detailed Description

RecoveryPointAdapter a handle class for implementing external storage of subscription recovery points and recovery from storage.

## Member Function Documentation

## ◆ begin()

iterator AMPS::RecoveryPointAdapter::begin | ( | void |  | ) |
| inline

To recover from an adapter, iterate over the adapter from begin() to end() with a RecoveryPointIterator.

Calling *iter should yield a RecoveryPoint&. Begin recovery from storage and return an iterator to the first RecoveryPoint or end() if there are none.

Returns
  The iterator for the first RecoveryPoint or end() if empty.

## ◆ end()

iterator AMPS::RecoveryPointAdapter::end | ( | void |  | ) |
| inline

Return the end of recovery marker.

Returns
  The iterator marking the end of recovery.

## ◆ purge()

void AMPS::RecoveryPointAdapter::purge | ( | const Field & | subId_ | ) |
| inline

Remove the specified subId_ from the storage.

Parameters

  subId_ | The sub id to remove

## ◆ update()

void AMPS::RecoveryPointAdapter::update | ( | RecoveryPoint & | recoveryPoint_ | ) |
| inline

Update the storage information with the given recovery point.

Parameters

  recoveryPoint_ | The new/updated RecoveryPoint to save.

The documentation for this class was generated from the following file:

- include/amps/RecoveryPointAdapter.hpp